Issue #7300 has been updated by mame (Yusuke Endoh).

File remove-hash-constructor-compatibility.patch added
Status changed from Closed to Open
Target version changed from 2.0.0 to 2.7

1.9 との互換性のために `Hash[[nil]]` を許す件、2.0.0 のころから警告し続けているので、さすがにもう消しても大丈夫な気がします。

```
$ ruby -ve 'Hash[[nil]]'
ruby 2.6.0p0 (2018-12-25 revision 66547) [x86_64-linux]
-e:1: warning: wrong element type nil at 0 (expected array)
-e:1: warning: ignoring wrong elements is deprecated, remove them explicitly
-e:1: warning: this causes ArgumentError in the next release
```

次の 2.7 で消しませんか?パッチを付けておきます。

----------------------------------------
Bug #7300: Hash#[] の挙動が 1.9.3 と異なっている
https://bugs.ruby-lang.org/issues/7300#change-75905

* Author: hsbt (Hiroshi SHIBATA)
* Status: Open
* Priority: Normal
* Assignee: nobu (Nobuyoshi Nakada)
* Target version: 2.7
* ruby -v: ruby 2.0.0dev (2012-11-07) [x86_64-darwin12.2.0]
* Backport: 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6: UNKNOWN
----------------------------------------
Hash[[nil]] を実行すると 1.9.3 では {} となるものが 2.0.0 では ArgumentError となります。

なかださんに相談してみたら、2.0.0 の動きが不正なものをチェックしてて正しい挙動と
いうことを教えてもらいましたが、2.0.0 では duplicate の警告だけにして、
次のリリースで消すという方が良さそうに思います。

---Files--------------------------------
remove-hash-constructor-compatibility.patch (2.32 KB)


-- 
https://bugs.ruby-lang.org/